Bug 328755 - KOrganizer crashes at exit
Summary: KOrganizer crashes at exit
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 329304 329828 330414 356508 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-12-13 09:53 UTC by Javi
Modified: 2017-05-11 14:14 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.3


Attachments
New crash information added by DrKonqi (3.04 KB, text/plain)
2014-01-26 04:52 UTC, Robert Miesen
Details
New crash information added by DrKonqi (4.73 KB, text/plain)
2014-06-26 18:45 UTC, David Murray
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Javi 2013-12-13 09:53:10 UTC
Application: korganizer (4.11.4)
KDE Platform Version: 4.11.4
Qt Version: 4.8.5
Operating System: Linux 3.11.6-4-desktop x86_64
Distribution: "openSUSE 13.1 (Bottle) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

In the To-do task list, with a filter active, select a different task, from the selected task at launching KOrganizer, after that close the application and it crashes at exit.

The crash can be reproduced every time.

-- Backtrace:
Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7e120b8880 (LWP 2971))]

Thread 2 (Thread 0x7f7df103f700 (LWP 2974)):
#0  0x00007f7e06fc4ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f7e06fc5289 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f7e06f84cb9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7e06f85523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f7e06f8570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f7e0fd25d76 in QEventDispatcherGlib::processEvents (this=0x7f7dec0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f7e0fcf7d0f in QEventLoop::processEvents (this=this@entry=0x7f7df103ed20, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f7e0fcf8005 in QEventLoop::exec (this=this@entry=0x7f7df103ed20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f7e0fbf6fef in QThread::exec (this=this@entry=0x1d7d2b0) at thread/qthread.cpp:536
#9  0x00007f7e0fcd9513 in QInotifyFileSystemWatcherEngine::run (this=0x1d7d2b0) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007f7e0fbf968f in QThreadPrivate::start (arg=0x1d7d2b0) at thread/qthread_unix.cpp:338
#11 0x00007f7e0c4d20db in start_thread () from /lib64/libpthread.so.0
#12 0x00007f7e0e6d290d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f7e120b8880 (LWP 2971)):
[KCrash Handler]
#6  QAbstractSlider::maximum (this=0x0) at widgets/qabstractslider.cpp:366
#7  0x00007f7e11aab77f in restoreScrollBarState (this=0x1d188d0) at /usr/src/debug/kdelibs-4.11.4/kdeui/itemviews/kviewstatesaver.cpp:64
#8  KViewStateSaver::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /usr/src/debug/kdelibs-4.11.4/build/kdeui/kviewstatesaver.moc:52
#9  0x00007f7e0fd1111e in QObject::event (this=0x1d9fe90, e=<optimized out>) at kernel/qobject.cpp:1203
#10 0x00007f7e0f0968ac in QApplicationPrivate::notify_helper (this=this@entry=0x1834eb0, receiver=receiver@entry=0x1d9fe90, e=e@entry=0x26723e0) at kernel/qapplication.cpp:4562
#11 0x00007f7e0f09ce70 in QApplication::notify (this=this@entry=0x7fffa32a2c20, receiver=receiver@entry=0x1d9fe90, e=e@entry=0x26723e0) at kernel/qapplication.cpp:4348
#12 0x00007f7e11adb18a in KApplication::notify (this=0x7fffa32a2c20, receiver=0x1d9fe90, event=0x26723e0) at /usr/src/debug/kdelibs-4.11.4/kdeui/kernel/kapplication.cpp:311
#13 0x00007f7e0fcf90ad in QCoreApplication::notifyInternal (this=0x7fffa32a2c20, receiver=receiver@entry=0x1d9fe90, event=event@entry=0x26723e0) at kernel/qcoreapplication.cpp:949
#14 0x00007f7e0fcfc0ff in sendEvent (event=0x26723e0, receiver=0x1d9fe90) at kernel/qcoreapplication.h:231
#15 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x17eb660) at kernel/qcoreapplication.cpp:1573
#16 0x00007f7e0fcfc5a3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#17 0x00007f7e0fd26493 in sendPostedEvents () at kernel/qcoreapplication.h:236
#18 postEventSourceDispatch (s=0x182c490) at kernel/qeventdispatcher_glib.cpp:280
#19 0x00007f7e06f85316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#20 0x00007f7e06f85668 in ?? () from /usr/lib64/libglib-2.0.so.0
#21 0x00007f7e06f8570c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f7e0fd25d55 in QEventDispatcherGlib::processEvents (this=0x17f0a90, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#23 0x00007f7e0f133936 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x00007f7e0fcf7d0f in QEventLoop::processEvents (this=this@entry=0x7fffa32a29c0, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007f7e0fcf8005 in QEventLoop::exec (this=this@entry=0x7fffa32a29c0, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007f7e0fcfd13b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#27 0x000000000040863b in ?? ()
#28 0x00007f7e0e60cbe5 in __libc_start_main () from /lib64/libc.so.6
#29 0x0000000000408965 in _start ()

Reported using DrKonqi
Comment 1 Sergio Martins 2013-12-13 14:16:52 UTC
Could you get a valgrind report ?

valgrind korganizer --nofork &> log

wait, make it crash, paste the log

needs debug symbols
Comment 2 Javi 2013-12-13 14:40:30 UTC
==12456== Memcheck, a memory error detector
==12456== Copyright (C) 2002-2012, and GNU GPL'd, by Julian Seward et al.
==12456== Using Valgrind-3.8.1 and LibVEX; rerun with -h for copyright info
==12456== Command: korganizer --nofork
==12456== 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
korganizer(12456) IncidenceTreeModel::mapFromSource: IncidenceTreeModel::mapFromSource() source index is invalid 
==12456== Invalid read of size 8
==12456==    at 0x78008A0: QAbstractScrollArea::horizontalScrollBar() const (qabstractscrollarea.cpp:693)
==12456==    by 0x5037776: KViewStateSaver::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.25] (kviewstatesaver.cpp:64)
==12456==    by 0x6E6C11D: QObject::event(QEvent*) (qobject.cpp:1203)
==12456==    by 0x73988AB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4562)
==12456==    by 0x739EE6F: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4348)
==12456==    by 0x5067189: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==12456==    by 0x6E540AC: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:949)
==12456==    by 0x6E570FE: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:231)
==12456==    by 0x6E81492: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (qcoreapplication.h:236)
==12456==    by 0xFB41315: g_main_context_dispatch (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB41667: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==  Address 0x218e42a8 is 8 bytes inside a block of size 96 free'd
==12456==    at 0x4C28FAC: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12456==    by 0x6E6A657: QObjectPrivate::deleteChildren() (qobject.cpp:1916)
==12456==    by 0x73E4616: QWidget::~QWidget() (qwidget.cpp:1679)
==12456==    by 0xE02880B: EventViews::TodoView::~TodoView() (in /usr/lib64/libeventviews.so.4.11.4)
==12456==    by 0xE028A28: EventViews::TodoView::~TodoView() (in /usr/lib64/libeventviews.so.4.11.4)
==12456==    by 0x6E6A657: QObjectPrivate::deleteChildren() (qobject.cpp:1916)
==12456==    by 0x73E4616: QWidget::~QWidget() (qwidget.cpp:1679)
==12456==    by 0x6177B4D: ??? (in /usr/lib64/libkorganizerprivate.so.4.11.4)
==12456==    by 0x6E6A657: QObjectPrivate::deleteChildren() (qobject.cpp:1916)
==12456==    by 0x73E4616: QWidget::~QWidget() (qwidget.cpp:1679)
==12456==    by 0x77D7608: QSplitter::~QSplitter() (qsplitter.cpp:1056)
==12456==    by 0x6E6A657: QObjectPrivate::deleteChildren() (qobject.cpp:1916)
==12456== 
==12456== Invalid read of size 8
==12456==    at 0x78008A4: QAbstractScrollArea::horizontalScrollBar() const (qabstractscrollarea.cpp:693)
==12456==    by 0x5037776: KViewStateSaver::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.25] (kviewstatesaver.cpp:64)
==12456==    by 0x6E6C11D: QObject::event(QEvent*) (qobject.cpp:1203)
==12456==    by 0x73988AB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4562)
==12456==    by 0x739EE6F: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4348)
==12456==    by 0x5067189: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==12456==    by 0x6E540AC: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:949)
==12456==    by 0x6E570FE: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:231)
==12456==    by 0x6E81492: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (qcoreapplication.h:236)
==12456==    by 0xFB41315: g_main_context_dispatch (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB41667: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==  Address 0x230 is not stack'd, malloc'd or (recently) free'd
==12456== 
KCrash: Application 'korganizer' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
==12456== Invalid read of size 4
==12456==    at 0x50C2710: startFromKdeinit(int, char const**) (kcrash.cpp:780)
==12456==    by 0x50C2FB5: KCrash::startProcess(int, char const**, bool) (kcrash.cpp:537)
==12456==    by 0x50C39FA: KCrash::defaultCrashHandler(int) (kcrash.cpp:435)
==12456==    by 0x83CE8CF: ??? (in /lib64/libc-2.18.so)
==12456==    by 0x78008A3: QAbstractScrollArea::horizontalScrollBar() const (qabstractscrollarea.cpp:693)
==12456==    by 0x5037776: KViewStateSaver::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.25] (kviewstatesaver.cpp:64)
==12456==    by 0x6E6C11D: QObject::event(QEvent*) (qobject.cpp:1203)
==12456==    by 0x73988AB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4562)
==12456==    by 0x739EE6F: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4348)
==12456==    by 0x5067189: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==12456==    by 0x6E540AC: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:949)
==12456==    by 0x6E570FE: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:231)
==12456==  Address 0x213d8cf0 is 0 bytes inside a block of size 3 alloc'd
==12456==    at 0x4C277AB: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12456==    by 0x50C2670: startFromKdeinit(int, char const**) (kcrash.cpp:659)
==12456==    by 0x50C2FB5: KCrash::startProcess(int, char const**, bool) (kcrash.cpp:537)
==12456==    by 0x50C39FA: KCrash::defaultCrashHandler(int) (kcrash.cpp:435)
==12456==    by 0x83CE8CF: ??? (in /lib64/libc-2.18.so)
==12456==    by 0x78008A3: QAbstractScrollArea::horizontalScrollBar() const (qabstractscrollarea.cpp:693)
==12456==    by 0x5037776: KViewStateSaver::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.25] (kviewstatesaver.cpp:64)
==12456==    by 0x6E6C11D: QObject::event(QEvent*) (qobject.cpp:1203)
==12456==    by 0x73988AB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4562)
==12456==    by 0x739EE6F: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4348)
==12456==    by 0x5067189: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==12456==    by 0x6E540AC: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:949)
==12456== 
QSocketNotifier: Invalid socket 12 and type 'Read', disabling...
==12456== Thread 2:
==12456== Invalid read of size 2
==12456==    at 0x6E80CC3: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==12456==    by 0xFB41080: g_main_context_check (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4159A: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0x6E80D75: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:427)
==12456==    by 0x6E52D0E: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==12456==    by 0x6E53004: QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:204)
==12456==    by 0x6D51FEE: QThread::exec() (qthread.cpp:536)
==12456==    by 0x6E34512: QInotifyFileSystemWatcherEngine::run() (qfilesystemwatcher_inotify.cpp:256)
==12456==    by 0x6D5468E: QThreadPrivate::start(void*) (qthread_unix.cpp:338)
==12456==    by 0xA6530DA: start_thread (in /lib64/libpthread-2.18.so)
==12456==    by 0x848090C: clone (in /lib64/libc-2.18.so)
==12456==  Address 0x1d229d36 is 6 bytes inside a block of size 16 free'd
==12456==    at 0x4C28FAC: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12456==    by 0x6E80CC2: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==12456==    by 0xFB41080: g_main_context_check (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4159A: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0x6E80D75: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:427)
==12456==    by 0x6E52D0E: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==12456==    by 0x6E53004: QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:204)
==12456==    by 0x6D51FEE: QThread::exec() (qthread.cpp:536)
==12456==    by 0x6E34512: QInotifyFileSystemWatcherEngine::run() (qfilesystemwatcher_inotify.cpp:256)
==12456==    by 0x6D5468E: QThreadPrivate::start(void*) (qthread_unix.cpp:338)
==12456==    by 0xA6530DA: start_thread (in /lib64/libpthread-2.18.so)
==12456== 
==12456== Invalid read of size 2
==12456==    at 0x6E80CCB: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:83)
==12456==    by 0xFB41080: g_main_context_check (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4159A: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0x6E80D75: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:427)
==12456==    by 0x6E52D0E: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==12456==    by 0x6E53004: QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:204)
==12456==    by 0x6D51FEE: QThread::exec() (qthread.cpp:536)
==12456==    by 0x6E34512: QInotifyFileSystemWatcherEngine::run() (qfilesystemwatcher_inotify.cpp:256)
==12456==    by 0x6D5468E: QThreadPrivate::start(void*) (qthread_unix.cpp:338)
==12456==    by 0xA6530DA: start_thread (in /lib64/libpthread-2.18.so)
==12456==    by 0x848090C: clone (in /lib64/libc-2.18.so)
==12456==  Address 0x1d229d34 is 4 bytes inside a block of size 16 free'd
==12456==    at 0x4C28FAC: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12456==    by 0x6E80CC2: socketNotifierSourceCheck(_GSource*) (qeventdispatcher_glib.cpp:92)
==12456==    by 0xFB41080: g_main_context_check (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4159A: ??? (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0xFB4170B: g_main_context_iteration (in /usr/lib64/libglib-2.0.so.0.3800.2)
==12456==    by 0x6E80D75: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:427)
==12456==    by 0x6E52D0E: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:149)
==12456==    by 0x6E53004: QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (qeventloop.cpp:204)
==12456==    by 0x6D51FEE: QThread::exec() (qthread.cpp:536)
==12456==    by 0x6E34512: QInotifyFileSystemWatcherEngine::run() (qfilesystemwatcher_inotify.cpp:256)
==12456==    by 0x6D5468E: QThreadPrivate::start(void*) (qthread_unix.cpp:338)
==12456==    by 0xA6530DA: start_thread (in /lib64/libpthread-2.18.so)
==12456== 
ock_file=/home/javi/.kde4/socket-linux-hp.PSA/kdeinit4__0
==12456== 
==12456== HEAP SUMMARY:
==12456==     in use at exit: 11,188,623 bytes in 130,441 blocks
==12456==   total heap usage: 1,121,047 allocs, 990,606 frees, 165,004,456 bytes allocated
==12456== 
==12456== LEAK SUMMARY:
==12456==    definitely lost: 9,888 bytes in 25 blocks
==12456==    indirectly lost: 50,031 bytes in 2,165 blocks
==12456==      possibly lost: 1,721,544 bytes in 31,385 blocks
==12456==    still reachable: 9,407,160 bytes in 96,866 blocks
==12456==         suppressed: 0 bytes in 0 blocks
==12456== Rerun with --leak-check=full to see details of leaked memory
==12456== 
==12456== For counts of detected and suppressed errors, rerun with: -v
==12456== ERROR SUMMARY: 5 errors from 5 contexts (suppressed: 2 from 2)
Comment 3 Sergio Martins 2013-12-30 15:58:48 UTC
*** Bug 329304 has been marked as a duplicate of this bug. ***
Comment 4 Jekyll Wu 2014-01-11 05:41:08 UTC
*** Bug 329828 has been marked as a duplicate of this bug. ***
Comment 5 Jekyll Wu 2014-01-26 01:22:21 UTC
*** Bug 330414 has been marked as a duplicate of this bug. ***
Comment 6 Robert Miesen 2014-01-26 04:52:21 UTC
Created attachment 84847 [details]
New crash information added by DrKonqi

korganizer (4.11.3) on KDE Platform 4.11.5 using Qt 4.8.6

korganizer crashes whenever I close the application and have a filter applied.

-- Backtrace (Reduced):
#7  QList<QString>::~QList (this=0xe43ff8, __in_chrg=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:731
#8  0x00007f45953eef33 in ~QStringList (this=0xe43ff8, __in_chrg=<optimized out>) at /usr/include/qt4/QtCore/qstringlist.h:66
#9  ~Private (this=0xe43ff0, __in_chrg=<optimized out>) at ../../kcalcore/calfilter.cpp:45
#10 KCalCore::CalFilter::~CalFilter (this=0xef26b0, __in_chrg=<optimized out>) at ../../kcalcore/calfilter.cpp:75
#11 0x00007f45953e7218 in ~Private (this=0xb7a970, __in_chrg=<optimized out>) at ../../kcalcore/calendar.cpp:84
Comment 7 Wouter M. Koolen 2014-06-25 04:01:55 UTC
Dear all,

Korganizer predictably crashes every time I exit the application. I am running version 4.12.4.

Judging from the valgrind trace, this looks like a use-after-free bug. 

Please let me know if I can provide any other information.

Wouter
Comment 8 David Murray 2014-06-26 18:45:53 UTC
Created attachment 87420 [details]
New crash information added by DrKonqi

korganizer (4.13.2) on KDE Platform 4.13.2 using Qt 4.8.6

Crashes on exit; I too have a filter defined (to hide completed tasks).

-- Backtrace (Reduced):
#6  QAbstractSlider::maximum (this=0x650063006e0065) at widgets/qabstractslider.cpp:366
#7  0x00007f6d4d0902af in restoreScrollBarState (this=0x3469930) at ../../kdeui/itemviews/kviewstatesaver.cpp:64
#8  KViewStateSaver::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at ./kviewstatesaver.moc:52
#9  0x00007f6d4b361c1e in QObject::event (this=0x3436a00, e=<optimized out>) at kernel/qobject.cpp:1194
#10 0x00007f6d4a6e2e2c in QApplicationPrivate::notify_helper (this=this@entry=0x1b44990, receiver=receiver@entry=0x3436a00, e=e@entry=0x3490f00) at kernel/qapplication.cpp:4567
Comment 9 Sergio Martins 2014-06-29 19:40:55 UTC
Git commit 88eeedd69eff07304084d2865b4b0264e16b7045 by Sergio Martins.
Committed on 29/06/2014 at 18:23.
Pushed by smartins into branch 'KDE/4.13'.

kviewstatesaver: Don't crash if scroll area is null.

KViewStateSaver::restoreScrollState() already does this check,
but it does a queued call to restoreScrollBarState(), so it
gets set to null while events are processed in between.
FIXED-IN: 4.13.3

M  +3    -0    kdeui/itemviews/kviewstatesaver.cpp

http://commits.kde.org/kdelibs/88eeedd69eff07304084d2865b4b0264e16b7045
Comment 10 Victor Sago 2014-11-01 10:57:27 UTC
As I understand this bug was supposed to be fixed in version 4.13.3. I'm running version 4.14.2 and I still experience the same behaviour.
Comment 11 Christoph Feck 2017-05-11 14:14:13 UTC
*** Bug 356508 has been marked as a duplicate of this bug. ***